Bug 834479 - Validation checks for completion of the XML entities like —
Validation checks for completion of the XML entities like —
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
1.7
Unspecified Unspecified
unspecified Severity medium
: ---
: 1.7
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 21:04 EDT by Alex Eng
Modified: 2012-09-12 20:27 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.7-SNAPSHOT (20120704-0026)
Doc Type: Enhancement
Doc Text:
Feature: Validation option in workspace to check for completion of the XML entities like —, &#nnnn;(decimal), and &#xhhhh; (hexadecimal). Reason: To provide validation help to translators and improve the translation quality.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-11 01:11:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Eng 2012-06-21 21:04:22 EDT
Editor has validation option to check for completion of the XML entities like —

Reference for XML entities rules:

http://www.w3.org/TR/REC-xml/#sec-references
http://www.w3.org/TR/REC-xml/#NT-NameStartChar
Comment 1 Alex Eng 2012-06-21 21:09:17 EDT
List of XML and HTML pre-defined entities:

http://en.wikipedia.org/wiki/List_of_XML_and_HTML_character_entity_references
Comment 3 Ding-Yi Chen 2012-07-03 21:22:51 EDT
VERIFIED with Zanata version 1.7-SNAPSHOT (20120704-0026)

Note You need to log in before you can comment on or make changes to this bug.